Get active freeplay matches for this club
GET
/api/v1/clubs/{id}/freeplay-matches
const url = 'https://internal.myscore.live/api/v1/api/v1/clubs/club_a1b2c3d4/freeplay-matches?status=in_progress';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://internal.myscore.live/api/v1/api/v1/clubs/club_a1b2c3d4/freeplay-matches?status=in_progress'Returns in-progress freeplay matches on courts belonging to this club. Portable board matches (no court) are excluded.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Example
club_a1b2c3d4Club ID
Query Parameters
Section titled “Query Parameters ” status
string
Match status filter (only in_progress supported)
Responses
Section titled “ Responses ”Active freeplay matches
Media type application/json
object
data
required
Freeplay matches associated with the parent resource
Array<object>
object
matchId
required
Freeplay match ID
string
courtName
required
Court display name
string
courtId
required
Court ID
string
players
required
Players on each side
object
home
required
Home side players
Array<object>
object
name
required
Player display name (or placeholder for unclaimed slot)
string
playerId
required
Player ID
string
guest
required
Guest side players
Array<object>
object
name
required
Player display name (or placeholder for unclaimed slot)
string
playerId
required
Player ID
string
sets
required
Set scores in chronological order
Array<object>
object
home
required
Games won by the home side in this set
number
guest
required
Games won by the guest side in this set
number
status
required
Match lifecycle status
string
startedAt
required
When the match started
string
Example
{ "data": [ { "matchId": "a1b2c3d4-...", "courtName": "Centre Court", "courtId": "crt_abc123", "players": { "home": [ { "name": "Player 1", "playerId": "plr_abc123" } ], "guest": [ { "name": "Player 1", "playerId": "plr_abc123" } ] }, "sets": [ { "home": 6, "guest": 4 } ], "status": "in_progress", "startedAt": "2026-03-21T10:00:00Z" } ]}Club not found